Maya 2016.5 mll missing!!

Post Reply
tws0002
Posts: 11
Joined: Thu Sep 07, 2017 3:14 pm

Maya 2016.5 mll missing!!

Post by tws0002 » Thu Sep 07, 2017 3:19 pm

hi,

i having this error when using cgru in Maya 2016.5

#ERROR form maya
// Error: line 1: Plug-in, "cgru" was compiled against too old a version of the Maya API and is thus incompatible with the current Maya version. (cgru)

in \cgru.2.2.2\plugins\maya\mll\ there is no .mll file for maya 2016.5!!

help please!!

Desmond

User avatar
timurhai
Site Admin
Posts: 350
Joined: Sun Jan 15, 2017 8:40 pm
Location: Russia, Korolev
Contact:

Re: Maya 2016.5 mll missing!!

Post by timurhai » Thu Sep 07, 2017 3:54 pm

Hi.
Yes, CGRU releases can miss some Maya versions plug-ins.
Maya mll plugins is provided by cgru users, who compiled it, and shared with others.
For now nobody did this for Maya 2016.5.
But!
Most CGRU features are written on MEL/Python and does not require loaded mll to run.
To launch CGRU menu you can execute this MEL script:

Code: Select all

{string $cmd = ("source \"" + `getenv MAYA_CGRU_LOCATION` + "/cgru.mel\"");catch(`eval $cmd`);}
Timur Hairulin
CGRU 2.3.0 Debian 9, Ubuntu 18.04LTS, MS Windows 7,10 (client only).

tws0002
Posts: 11
Joined: Thu Sep 07, 2017 3:14 pm

Re: Maya 2016.5 mll missing!!

Post by tws0002 » Fri Sep 08, 2017 5:01 am

Hey Timur Hairulin, it works perfectly thanks.

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest